# addInstrumentMarkups

**POST api/addInstrumentMarkups**

The markup is applied to your raw prices and widens the spread. Set the markup in % multiplied by 1e4. The permitted range is from -100000 to 100000 (from 10% to -10%).<br>

Instrument markup must be set for both sides. If the markup is not set for the instrument, the default counterparty markup will be used. To set the default markup, set `"instrument": null` or omit the `"instrument"` parameter.

{% tabs %}
{% tab title="Payload" %}

```json
{
    "counterpartyId": 5,
    "instrument": "BTC-USD",
    "bidMarkup": 1000,
    "askMarkup": 2000,
    "flowDirection": "incoming"
}
```

{% endtab %}

{% tab title="200 OK" %}

```json
{
    "error": 0
}
```

{% endtab %}

{% tab title="400 Bad request" %}

```json
{
    "error": 2
}
```

{% endtab %}
{% endtabs %}

**Request parameters**

| Field name     | Type              | Description                                                                                                        |
| -------------- | ----------------- | ------------------------------------------------------------------------------------------------------------------ |
| counterpartyId | Efx::ClientID     | Counteraprty id                                                                                                    |
| instrument     | optional\<string> | Instrument name or *null* for default markup.                                                                      |
| bidMarkup      | int               | Bid markup value will be applied to bid orders of outgoing flow.                                                   |
| askMarkup      | int               | Ask markup value will be applied to ask orders of outgoing flow.                                                   |
| flowDirection  | string            | *Optional*. Flow direction is required for master-master connection only. Possible values: "incoming", "outgoing". |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/rest-api/pricing-and-instruments/addinstrumentmarkups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
